Skip to content
Developer

MessengerMessage

Chat and notifications2 EndpointsNotification / MessengerMessage

Returns a list of all MessengerMessages

GET/api/notification/messenger_message

Query parameters

idstring, SCOPE_LIST
directionstringoutbound | inbound | , SCOPE_LIST
channelstringsms | whatsapp | , SCOPE_LIST
providerstringINFOBIP | SINCH | CM | , SCOPE_LIST
phoneNumberstringE.164 digits without + of the person (recipient or sender) | , SCOPE_LIST
statusstringsent | failed | received | , SCOPE_LIST
providerMessageIdstring, SCOPE_LIST
userNotificationstring, SCOPE_LIST
chatroomstring, SCOPE_LIST
chatroomMessagestring, SCOPE_LIST
createdstring, SCOPE_LIST
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all MessengerMessagesarray<MessengerMessage>

Show fields (10)
  • idinteger

    Primary key of the messenger message. Internal ID.

  • directionstring

    outbound | inbound

  • channelstring

    sms | whatsapp

  • providerstring

    INFOBIP | SINCH | CM

  • phone_numberstring

    E.164 digits without + of the person (recipient or sender)

  • template_namestring

    WhatsApp template used outside the service window

  • statusstring

    sent | failed | received

  • error_messagestring

    Error message if sending failed.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/notification/messenger_message \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "template_name": "Beispiel",
    "direction": "string",
    "channel": "string",
    "provider": "string",
    "phone_number": "string",
    "status": "string",
    "error_message": "string",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
]

Returns a single MessengerMessage entry.

GET/api/notification/messenger_message/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single MessengerMessageMessengerMessage2

Show fields (14)
  • idinteger

    Primary key of the messenger message. Internal ID.

  • directionstring

    outbound | inbound

  • channelstring

    sms | whatsapp

  • providerstring

    INFOBIP | SINCH | CM

  • phone_numberstring

    E.164 digits without + of the person (recipient or sender)

  • template_namestring

    WhatsApp template used outside the service window

  • statusstring

    sent | failed | received

  • provider_message_idstring

    ID of the message at the messenger provider.

  • error_messagestring

    Error message if sending failed.

  • user_notificationUserNotification

    User notification the message belongs to.

    Show fields (25)
    • idinteger

      Primary key of the notification. Internal ID.

    • readboolean

      Whether the notification has been read.

    • category_identifierstring

      Identifier of the notification category.

    • object_identifierstring

      Identifier of the object the notification refers to.

    • notification_typestring

      Type of the notification.

    • text_identifierstring

      Identifier of the notification text template.

    • long_text_identifierstring

      Identifier of the long text template.

    • html_textstring

      HTML text of the notification.

    • attachmentsarray<Attachment10>

      Attachments of the notification.

    • only_adminboolean

      Whether the notification is only shown to administrators.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • chatroomChatroom10

    Chat room the message belongs to.

    Show fields (6)
    • idinteger

      Primary key of the chat room. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • chatroom_messageChatroomMessage4

    Chat room message the messenger message belongs to.

    Show fields (4)
    • idinteger

      Primary key of the chat message. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/notification/messenger_message/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "template_name": "Beispiel",
  "direction": "string",
  "channel": "string",
  "provider": "string",
  "phone_number": "string",
  "status": "string",
  "provider_message_id": "42",
  "error_message": "string",
  "user_notification": {
    "id": 42,
    "html_text": "Text",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163",
    "address_country": "DE",
    "address_full_country": "DE",
    "read": true,
    "category_identifier": "42",
    "object_identifier": "42"
  }
}